[X86] Clean up test/CodeGen/X86/2006-03-01-InstrSchedBug.ll
ClosedPublic

Authored by jgorbe on Feb 23 2017, 5:22 PM.

Details

Summary
  • Migrated from grep to FileCheck.
  • Re-indented, removed boilerplate comments.
  • Added 'entry' label at beginning of basic block.

Diff Detail

Repository
rL LLVM
jgorbe created this revision.Feb 23 2017, 5:22 PM
RKSimon added a subscriber: RKSimon.
RKSimon added inline comments.
test/CodeGen/X86/2006-03-01-InstrSchedBug.ll
1 ↗(On Diff #89591)

Might as well regenerate the test file with the update script

3 ↗(On Diff #89591)

For a trivial test like this removing the -march and replacing with this triple (-mtriple=i686-unknown-unknown) will tidy things up more.

6 ↗(On Diff #89591)

I'd recommend not adding this as it might affect the reproducibility of the exact codegen that caused the old bug (unlikely but maybe).

jgorbe updated this revision to Diff 92081.Mar 16 2017, 4:01 PM
  • Regenerated the test with update_llc_test_checks.py
  • Specified target triple in the RUN: line with -mtriple
  • Removed entry label added in the previous version of the patch.

Thanks for the review! (and sorry it took me so long to respond)

test/CodeGen/X86/2006-03-01-InstrSchedBug.ll
3 ↗(On Diff #89591)

Still no -mtriple ?

jgorbe updated this revision to Diff 92084.Mar 16 2017, 4:30 PM
jgorbe marked 4 inline comments as done.

Added -mtriple parameter to the RUN line. I messed up when regenerating the test with the script, reverted it, and lost the edit I had done before. Thanks for noticing.

RKSimon accepted this revision.Mar 17 2017, 2:50 AM

LGTM

This revision is now accepted and ready to land.Mar 17 2017, 2:50 AM
This revision was automatically updated to reflect the committed changes.